#ifndef ACTIONCOMMONVARIABLE_HH
#define ACTIONCOMMONVARIABLE_HH

#include "globals.hh"

class ActionCommonVariable
{
public:
  static ActionCommonVariable* GetInstance();
  virtual ~ActionCommonVariable();

  void SetRunName(G4String value){fRunName = value;}
  void SetOverWrite(G4String value){
    if(value != "y" && value != "n" && value != "ask"){
      G4cout << " WARNING!! only y/n/ask is permitted. set to \"ask\"" << G4endl;
      fOverWrite = "ask";
    }else{
      fOverWrite = value;
    }
  }
  void SetUseTree(G4bool value){fUseTree = value;}
  void SetTreeName(G4String value){fTreeName = value;}
  void SetTreeTitle(G4String value){fTreeTitle = value;}
  G4String GetRunName(){return fRunName;}
  G4String GetOverWrite(){return fOverWrite;}
  G4bool GetUseTree(){return fUseTree;}
  G4String GetTreeName(){return fTreeName;}
  G4String GetTreeTitle(){return fTreeTitle;}

protected:
  static ActionCommonVariable* fActionCommonVariable;

  G4String fRunName;
  G4String fOverWrite;
  G4bool fUseTree;
  G4String fTreeName;
  G4String fTreeTitle;

private: // hidden
  ActionCommonVariable();
  ActionCommonVariable(const ActionCommonVariable&);
  ActionCommonVariable& operator=(const ActionCommonVariable&);
};

#endif
