#ifndef DIPOLECONSTRUCTION_HH
#define DIPOLECONSTRUCTION_HH

#include "G4VUserDetectorConstruction.hh"
#include "G4ThreeVector.hh"

class G4LogicalVolume;
class G4Material;
class DetectorConstruction;

class DipoleConstruction : public G4VUserDetectorConstruction
{
  friend class DetectorConstruction;
  
public:
  DipoleConstruction();
  virtual ~DipoleConstruction();

  G4VPhysicalVolume* Construct();
  virtual G4LogicalVolume* ConstructSub();

  G4ThreeVector GetDipoleSize(){return fDipoleSize;}

protected:
  G4ThreeVector fDipoleSize;

  G4LogicalVolume* fLogicDipole;
  G4LogicalVolume* fLogicWorld;

  G4Material* fDipoleMaterial;
  G4Material* fDipoleMotherMaterial;
  G4Material* fWorldMaterial;
};

#endif

