#ifndef SOURCECONSTRUCTION_HH
#define SOURCECONSTRUCTION_HH

#include "G4VUserDetectorConstruction.hh"
#include "G4ThreeVector.hh"

class G4LogicalVolume;
class G4Material;
class DetectorConstruction;

class SourceConstruction : public G4VUserDetectorConstruction
{
  friend class DetectorConstruction;
  
public:
  SourceConstruction();
  virtual ~SourceConstruction();

  G4VPhysicalVolume* Construct();
  virtual G4LogicalVolume* ConstructSub();

  G4double GetDiameter(){return fDiameter;}
  G4double GetThickness(){return fThickness;}

protected:
  G4double fDiameter;
  G4double fThickness;

  G4LogicalVolume* fLogicSource;
  G4LogicalVolume* fLogicWorld;

  G4Material* fSourceMaterial;
  G4Material* fWorldMaterial;
};

#endif

